Skip to main content
DELETE
/
api
/
config
/
pii
/
tracing-allow-list
Disable logging of prompts and responses for specific users
curl --request DELETE \
  --url https://app.traceloop.com/api/config/pii/tracing-allow-list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associationProperty": {}
}
'
import requests

url = "https://app.traceloop.com/api/config/pii/tracing-allow-list"

payload = { "associationProperty": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({associationProperty: {}})
};

fetch('https://app.traceloop.com/api/config/pii/tracing-allow-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


By default, all prompts and responses are logged. If you’ve disabled this behavior by following this guide, and then selectively enabled it for some of your users then you can use this API to disable it for previously enabled ones.

Request Body

associationProperty
Associated Property Object
A single association property (like {userId: "123"}) that was previously allowed to be logged.
Example:
{
  "associationProperty": {
    "userId": "123"
  }
}